/*
 *  Copyright (C) 2017, Texas Instruments Incorporated, All Rights Reserved
 *  SPDX-License-Identifier: Apache-2.0
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); you may
 *  not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 *  WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
#ifndef NET_ALT_H
#define NET_ALT_H

#ifdef __cplusplus
extern "C" {
#endif

/*
 *  @brief Provides a socket send callback
 *
 *  This is required for Network I/O operation. Add this send callback to
 *  mbedtls using 'mbedtls_ssl_set_bio()' in the  application.
 */
int net_send(void *ctx, const unsigned char *buf, size_t len);

/*
 *  @brief Provides a socket recv callback
 *
 *  This is required for Network I/O operation. Add this recv callback to
 *  mbedtls using 'mbedtls_ssl_set_bio()' in the application.
 */
int net_recv(void *ctx, unsigned char *buf, size_t len);

#ifdef __cplusplus
}
#endif
#endif
